Go to the latest version of this document.

# ``twisted`.`internet`.`interfaces`.`IReactorUDP``

interface documentation

`class IReactorUDP(Interface): (source)`

Known implementations: `twisted.internet.iocpreactor.reactor.IOCPReactor`, `twisted.internet.posixbase.PosixReactorBase`

View In Hierarchy

UDP socket methods.

Method | `listenUDP` | Connects a given `DatagramProtocol` to the given numeric UDP port.

def listenUDP(port: `int`, protocol: `DatagramProtocol`, interface: `str`, maxPacketSize: `int`) -> `IListeningPort`: (source)

Connects a given `DatagramProtocol` to the given numeric UDP port.

Parameters
port:`int` | A port number on which to listen.
protocol:`DatagramProtocol` | A `DatagramProtocol` instance which will be connected to the given `port`.
interface:`str` | The local IPv4 or IPv6 address to which to bind; defaults to '', ie all IPv4 addresses.
maxPacketSize:`int` | The maximum packet size to accept.

Returns
`IListeningPort` | object which provides `IListeningPort`.